summaryrefslogtreecommitdiff
path: root/extra/tigertool/make_pkg.sh
diff options
context:
space:
mode:
authorNick Sanders <nsanders@chromium.org>2017-05-02 21:31:10 -0700
committerchrome-bot <chrome-bot@chromium.org>2017-05-16 00:09:24 -0700
commit395fce39e2116e3aa7a90f98671ef2310e987dc2 (patch)
treed169e78382f68cea4a53a5f6fa7b918aa04aa3fa /extra/tigertool/make_pkg.sh
parentf09ac93aeabcab6e681128a6a186aa9b511bcab5 (diff)
downloadchrome-ec-395fce39e2116e3aa7a90f98671ef2310e987dc2.tar.gz
tigertail: tigertool command line api
This tool allows an easy commandline interface to set the USB-C mux position, as well as init and reboot. BRANCH=None BUG=b:35849284 TEST=flash, control tigertail successfully Change-Id: I8d60c215fee04de158c22edca5377c3c6cd48cf0 Reviewed-on: https://chromium-review.googlesource.com/493617 Commit-Ready: Nick Sanders <nsanders@chromium.org> Tested-by: Nick Sanders <nsanders@chromium.org> Reviewed-by: Aseda Aboagye <aaboagye@chromium.org>
Diffstat (limited to 'extra/tigertool/make_pkg.sh')
-rwxr-xr-xextra/tigertool/make_pkg.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/extra/tigertool/make_pkg.sh b/extra/tigertool/make_pkg.sh
new file mode 100755
index 0000000000..d2860f64c1
--- /dev/null
+++ b/extra/tigertool/make_pkg.sh
@@ -0,0 +1,28 @@
+#!/bin/bash
+# Copyright 2017 The Chromium OS Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+# Make sure we are in the correct dir.
+cd "$( dirname "${BASH_SOURCE[0]}" )" || exit
+
+# Clean and previous cruft.
+rm -rf build
+
+DEST=build/tigertool
+DATE=$(date +"%Y%m%d")
+
+mkdir -p "${DEST}"
+cp ../usb_serial/console.py "${DEST}"
+cp ../../../../../chroot/usr/bin/dfu-util "${DEST}"
+cp flash_dfu.sh "${DEST}"
+cp tigertool.py "${DEST}"
+
+cp -r ecusb "${DEST}"
+cp -r ../../../../../chroot/usr/lib64/python2.7/site-packages/usb "${DEST}"
+find "${DEST}" -name "*.py[co]" -delete
+cp -r ../usb_serial "${DEST}"
+
+(cd build; tar -czf tigertool_${DATE}.tgz tigertool)
+
+echo "Done packaging tigertool_${DATE}.tgz"